Package org.apache.catalina.realm

## Class JNDIRealm.User

- java.lang.Object
- - org.apache.catalina.realm.JNDIRealm.User

- Enclosing class:
    JNDIRealm

      protected static class JNDIRealm.User
      extends Object

  A protected class representing a User

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `User​(String username, String dn, String password, List<String> roles, String userRoleId)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getDN()` |
    `String` | `getPassword()` |
    `List<String>` | `getRoles()` |
    `String` | `getUserName()` |
    `String` | `getUserRoleId()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### User

          public User​(String username,
                      String dn,
                      String password,
                      List<String> roles,
                      String userRoleId)

  - ### Method Detail

    - #### getUserName

          public String getUserName()

    - #### getDN

          public String getDN()

    - #### getPassword

          public String getPassword()

    - #### getRoles

          public List<String> getRoles()

    - #### getUserRoleId

          public String getUserRoleId()